diff --git a/templates/pages/developer/alpha.html b/templates/pages/developer/alpha.html
index 16feb11..d8055ff 100644
--- a/templates/pages/developer/alpha.html
+++ b/templates/pages/developer/alpha.html
@@ -10,20 +10,14 @@ possibility for early feedback.  They should not be used in production
 installations or active development projects.  While the PostgreSQL
 code is continuously subject to a number of automated and manual
 tests, alpha releases might have serious bugs.  Also features may be
-changed incompatibly or removed at any time during the development
-cycle.
+changed incompatibly or removed before beta releases.
 </p>
 <p>
-The development cycle of a PostgreSQL major release alternates between
-periods of development and periods of integration work, called <a href="https://commitfest.postgresql.org/">commit
-fests</a>, normally one month each.  Alpha releases are planned to be
-produced at the end of every commit fest, thus every two months.
-Since the first commit fest starts within a month from the beginning
-of development altogether, early alpha releases are <i>not</i> indicative of
-the likely feature set of the final release.
+PostgreSQL 9.5 will release one alpha, followed by one or more periodic beta releases and
+one or more release candidates before the final release in late 2015.   
 </p>
 <p>
-There are currently no alpha versions available for testing.
+PostgreSQL 9.5 Alpha is available for testing on <a href="/download/">our downloads page</a>.
 </p>
 <p>We depend on our large community of users to test the features in alpha
  releases and report issues.  If you are able to contribute to PostgreSQL by
diff --git a/templates/pages/developer/beta.html b/templates/pages/developer/beta.html
index bba988f..3621615 100644
--- a/templates/pages/developer/beta.html
+++ b/templates/pages/developer/beta.html
@@ -9,7 +9,7 @@
 
 <p>However, betas and release candidates are meant for everyone who uses PostgreSQL to test before the full release. The process of testing these betas will help the community to identify and fix bugs prior to release.</p>
 
-<p>PostgreSQL 9.4 was <a href="/about/news/1557/">released</a> on December 18th, 2014. The development tree for 9.5 is open. There are no beta versions currently available.
+<p>PostgreSQL 9.5 is <a href="/developer/alpha">currently in alpha</a>. There are no beta versions currently available.
 
 <!--
 
